﻿
@{
    ViewBag.Title = "Page for API Client";
}
<script type="text/javascript" src="~/Scripts/angular.min.js"></script>


<h2>API client goes here</h2>


<div ng-app="flightsApp">
    <div ng-controller="flightsController">
        <table>
            <tr ng-repeat="flight in flights">
                <td>
                    {{flight.Code}}
                </td>
                <td>
                    {{flight.Departure}}
                </td>
                <td>
                    {{flight.Destination}}
                </td>
                <td>
                    {{flight.Airlines}}
                </td>
                <td>
                    <button ng-click="delete(flight)">x</button>
                </td>
            </tr>
            <tr>
                <td>
                    <input type="text" ng-model="flightCode" size="30"
                           placeholder="Code">
                </td>
                <td>
                    <input type="text" ng-model="flightDeparture" size="30"
                           placeholder="Departure">
                </td>
                <td>
                    <input type="text" ng-model="flightDestination" size="30"
                           placeholder="Destination">
                </td>
                <td>
                    <input type="text" ng-model="flightAirlines" size="30"
                           placeholder="Airlines">
                </td>
                <td><input class="btn-primary" type="submit" ng-click="add()" value="Add"></td>
            </tr>
        </table>
    </div>
</div>
<script>
    angular.module('flightsApp', [])
        .controller('flightsController', function ($scope, $http) {
            $http.get("/api/flights").then(function (response) {
                $scope.flights = response.data;
            });
            $scope.add = function () {
                var data = {
                    Code: $scope.flightCode,
                    Departure: $scope.flightDeparture,
                    Destination: $scope.flightDestination,
                    Airlines: $scope.flightAirlines
                };
                $http.post("/api/flights", data).then(function (response) {
                    $scope.flights.push(response.data);
                });
                $scope.flightCode = '';
                $scope.flightDeparture = '';
                $scope.flightDestination = '';
                $scope.flightAirlines = '';
            };
            $scope.delete = function (flight) {
                $http.delete("/api/flights/" + flight.Id).then(function (response) {
                    var index = $scope.flights.indexOf(flight);
                    $scope.flights.splice(index, 1);   
                });              
            };
        });
</script>